$breakpoint: 768px;
.sign-layout {
  --pr-input-bg-color: white;
  --sign-layout-bg-color: var(--pr-accent-color);
  --sign-layout-color: var(--pr-accent-color-contrast);
  --sign-layout-btn-bg-color: var(--pr-accent-color);
  --sign-layout-btn-color: var(--pr-accent-color-contrast);

  display: flex;
  flex: 1;
  flex-direction: column;

  @media (min-width: $breakpoint) {
    flex-direction: row;
  }
}
:root[data-color-scheme='dark'] .sign-layout {
  --sign-layout-bg-color: #181818;
  --sign-layout-color: var(--pr-main-text);
  --sign-layout-btn-bg-color: #535354;
  --sign-layout-btn-color: #f6f6f7;
}
.sign-layout-left {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--sign-layout-bg-color);
  justify-content: space-between;
  margin: 0 0 3.2rem 0;
  padding: 1.2rem 0;
  @media (min-width: $breakpoint) {
    flex: 1;
    align-items: unset;
    margin: 0;
    padding: 0;
  }
  @media (max-width: $breakpoint) {
    background-color: transparent;
    justify-content: flex-end;
    min-height: 30%;
  }
}
.sign-layout-logo {
  &-ctn {
    @media (min-width: $breakpoint) {
      margin-top: 10rem;
      margin-left: 8.6rem;
      margin-bottom: 3rem;
    }
  }

  @media (max-width: $breakpoint) {
    min-height: 40px;
  }
}
.sign-layout-title {
  color: var(--sign-layout-color);
  @media (min-width: $breakpoint) {
    font-weight: bold;
    font-size: 4rem;
    margin-bottom: 4.6rem;
    margin-left: 4.6rem;
  }
  @media (max-width: $breakpoint) {
    display: none;
  }
}
.sign-layout-right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  @media (min-width: $breakpoint) {
    flex: 1;
  }
}
.sign-layout-headline {
  color: var(--pr-accent-color);
  text-transform: uppercase;
  font-size: 1.2rem;
  font-weight: 500;
  font-size: 0.9rem;
  margin-bottom: 2.1rem;
  line-height: 1.3px;
}
.sign-layout-sign-title {
  font-size: 1.5rem;
  font-weight: bold;
}
.sign-layout-local-sign-form-ctn {
  font-size: 1.2rem;
}
.sign-layout-content {
  margin-top: 2.4rem;
  margin: 2.4rem 1rem;
  min-width: 80%;
  @media (max-width: $breakpoint) {
    width: 100%;

    :global(.ant-input) {
      font-size: 1.4rem !important;
    }
  }
}

.signin {
  &-init {
    margin-bottom: 3rem;
    margin-top: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;

    &-text {
      text-align: center;
      font-size: 1.8rem;
    }
    &-button {
      margin-bottom: 1rem;
      height: 3rem;
      font-weight: bold;
      width: 100%;
    }
  }
  &-form {
    display: flex;
    flex-direction: column;
    @media (max-width: 900px) {
      width: calc(100% - 3rem);
      margin: 1.5rem;
    }

    &-provider {
      &s {
        display: flex;
        flex: 1;
        flex-direction: column;
      }
      &-link {
        display: flex;
        flex: 1;

        &-button {
          display: flex;
          flex: 1;
          align-items: center;
          justify-content: center;
        }
        &-text {
          margin-left: 0.5rem;
          font-weight: bold;
        }
      }
    }
    &-separator {
      position: relative;
      margin: 1rem 0;
      text-align: center;
      &::before {
        position: absolute;
        top: 50%;
        display: block;
        height: 1px;
        width: 100%;
        background-color: var(--pr-main-text-light);
        content: '';
      }

      &-text {
        position: relative;
        padding: 0 0.5rem;
        font-weight: bold;
        color: var(--pr-main-text-light);
        background-color: var(--pr-main-bg-color);
      }
    }

    &-local {
      margin-bottom: 2.4rem;

      &-field {
        margin: 1rem 0;
      }

      &-input {
        height: 3rem;
      }

      &-error {
        color: var(--pr-error-color);
        margin-bottom: 0.5rem;
      }

      &-button {
        font-weight: bold;
        margin: 0.5rem;
        font-size: 1.4rem !important;
      }
    }
  }
  &-link {
    margin-top: 2.1rem;
    text-align: center;
    font-size: 1.2rem;
  }
}

.forgot {
  &-form {
    display: flex;
    flex-direction: column;

    @media (max-width: 900px) {
      width: calc(100% - 3rem);
      margin: 1.5rem;
    }

    &-field {
      margin: 1rem 0;
    }

    &-input {
      height: 3rem;
    }
    &-button {
      font-weight: bold;
    }
  }
}

.form {
  display: flex;
  flex-direction: column;

  @media (max-width: 900px) {
    width: calc(100% - 3rem);
    margin: 1.5rem;
  }

  &-field {
    margin: 1rem 0;
  }

  &-input {
    height: 3rem;
  }
  &-button {
    font-weight: bold;
    width: 100%;
  }
}
